# SplFixedArray::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetSet — Affecte une valeur à un index donné

### Description

public SplFixedArray::offsetSet(int `$index`, mixed `$value`): void

Affecte la valeur `value` à l'index `index`.

### Liste de paramètres

`index`

  L'index à affecter.

`value`

  La valeur à assigner à l'index `index`.

### Valeurs de retour

Aucune valeur n'est retournée.

### Erreurs / Exceptions

Lance une exception RuntimeException lorsque `index` est en dehors de la taille définie du tableau ou lorsque `index` n'a pu être analysé comme un entier.